Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -5576,44 +4293,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<InputSearchLogData> BuffList = new List<InputSearchLogData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOInputSearchLogData.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        InputSearchLogData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);
-                        strSQL += string.Format(", {0}", CurRec.UsedProcessNo);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(", {0}", CurRec.DataType);
-                        strSQL += string.Format(", {0}", CurRec.InputCode);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5620,6 +4313,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5650,7 +4344,7 @@
         private bool CnvMessageboarddata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMessageBoardData InDB = new ProcessManagement.OracleDB.IOAccess.IOMessageBoardData();
-            ProcessManagement.MySQLDB.IOAccess.IOMessageBoardData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMessageBoardData();
+            ProcessManagement.DB.IOAccess.IOMessageBoardData OutDB = new ProcessManagement.DB.IOAccess.IOMessageBoardData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5664,58 +4358,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<MessageBoardData> BuffList = new List<MessageBoardData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMessageBoardData.ColumnCnt)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        MessageBoardData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0} ", CurRec.RecordNumber.ToString());
-                        strSQL += string.Format(", {0} ", CurRec.BranchNumber.ToString());
-                        strSQL += string.Format(", {0} ", CurRec.FromCode);
-                        strSQL += string.Format(",'{0}'", CurRec.FromName);
-                        strSQL += string.Format(",'{0}'", CurRec.MessageTitle);
-                        strSQL += string.Format(",'{0}'", CurRec.MessageContent);
-                        strSQL += string.Format(", {0} ", CurRec.LinkType);
-                        strSQL += string.Format(",'{0}'", CurRec.LinkMessage);
-                        strSQL += string.Format(",'{0}'", CurRec.LinkCode);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.WritingDate.ToString());
-                        strSQL += string.Format(", {0} ", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", {0} ", CurRec.ShareFlag.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.MessageColor);
-                        strSQL += string.Format(",'{0}'", CurRec.BackColor);
-                        strSQL += string.Format(", {0} ", CurRec.MessageFlag.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5722,6 +4378,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5752,7 +4409,7 @@
         private bool CnvMessageboardterget(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMessageBoardTerget InDB = new ProcessManagement.OracleDB.IOAccess.IOMessageBoardTerget();
-            ProcessManagement.MySQLDB.IOAccess.IOMessageBoardTerget OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMessageBoardTerget();
+            ProcessManagement.DB.IOAccess.IOMessageBoardTerget OutDB = new ProcessManagement.DB.IOAccess.IOMessageBoardTerget();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5766,47 +4423,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<MessageBoardTerget> BuffList = new List<MessageBoardTerget>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMessageBoardTerget.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        MessageBoardTerget CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0} ", CommonMotions.cnvInt(CurRec.RecordNumber.ToString()));
-                        strSQL += string.Format(", {0} ", CommonMotions.cnvInt(CurRec.BranchNumber.ToString()));
-                        strSQL += string.Format(", {0} ", CurRec.SeqNum);
-                        strSQL += string.Format(", {0} ", CurRec.ToCode);
-                        strSQL += string.Format(",'{0}'", CurRec.ToName.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5813,6 +4443,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5843,7 +4474,7 @@
         private bool CnvMessagebrowsinghistory(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMessageBrowsingHistory InDB = new ProcessManagement.OracleDB.IOAccess.IOMessageBrowsingHistory();
-            ProcessManagement.MySQLDB.IOAccess.IOMessageBrowsingHistory OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMessageBrowsingHistory();
+            ProcessManagement.DB.IOAccess.IOMessageBrowsingHistory OutDB = new ProcessManagement.DB.IOAccess.IOMessageBrowsingHistory();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5857,47 +4488,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<MessageBrowsingHistory> BuffList = new List<MessageBrowsingHistory>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMessageBrowsingHistory.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        MessageBrowsingHistory CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0} ", CommonMotions.cnvInt(CurRec.RecordNumber.ToString()));
-                        strSQL += string.Format(", {0} ", CommonMotions.cnvInt(CurRec.BranchNumber.ToString()));
-                        strSQL += string.Format(", {0} ", CurRec.SeqNum);
-                        strSQL += string.Format(", {0} ", CurRec.BrowsingCode);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.BrowsingDate.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5904,6 +4508,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5934,7 +4539,7 @@
         private bool CnvOrderersmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMOrderers InDB = new ProcessManagement.OracleDB.IOAccess.IOMOrderers();
-            ProcessManagement.MySQLDB.IOAccess.IOMOrderers OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMOrderers();
+            ProcessManagement.DB.IOAccess.IOMOrderers OutDB = new ProcessManagement.DB.IOAccess.IOMOrderers();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5948,61 +4553,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<OrderersMaster> BuffList = new List<OrderersMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMOrderers.OrderersColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        OrderersMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.OrderCategory);
-                        strSQL += string.Format(", {0}", CurRec.OrderersCode);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(", {0}", CurRec.OrderFlg);
-                        strSQL += string.Format(",'{0}'", CurRec.CorporateStatusName);
-                        strSQL += string.Format(", {0}", CurRec.CorporateStatusPoint);
-                        strSQL += string.Format(",'{0}'", CurRec.OrderersName1);
-                        strSQL += string.Format(",'{0}'", CurRec.OrderersName2);
-                        strSQL += string.Format(",'{0}'", CurRec.DepartmentName);
-                        strSQL += string.Format(",'{0}'", CurRec.ChargePersonName);
-                        strSQL += string.Format(",'{0}'", CurRec.ZipCode);
-                        strSQL += string.Format(",'{0}'", CurRec.Address1);
-                        strSQL += string.Format(",'{0}'", CurRec.Address2);
-                        strSQL += string.Format(",'{0}'", CurRec.Address3);
-                        strSQL += string.Format(",'{0}'", CurRec.PhoneNumber);
-                        strSQL += string.Format(",'{0}'", CurRec.FaxNumber);
-                        strSQL += string.Format(",'{0}'", CurRec.Note);
-                        strSQL += string.Format(",'{0}'", CurRec.MailAddress);
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6009,6 +4573,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6039,7 +4604,7 @@
         private bool CnvOrderspricedata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOOrdersPriceData InDB = new ProcessManagement.OracleDB.IOAccess.IOOrdersPriceData();
-            ProcessManagement.MySQLDB.IOAccess.IOOrdersPriceData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOOrdersPriceData();
+            ProcessManagement.DB.IOAccess.IOOrdersPriceData OutDB = new ProcessManagement.DB.IOAccess.IOOrdersPriceData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6053,52 +4618,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<OrdersPriceData> BuffList = new List<OrdersPriceData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOOrdersPriceData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        OrdersPriceData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);                    // 工事コード
-                        strSQL += string.Format(", {0}", CurRec.ChangeNo);	                        // 変更番号
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.ChangeDate.ToShortDateString());	    // 変更日
-                        strSQL += string.Format(", {0}", CurRec.ChangePersonCode);                    // 変更者コード
-                        strSQL += string.Format(",'{0}'", CurRec.ChangePersonName);                   // 変更者名
-                        strSQL += string.Format(", {0}", CurRec.BeforeValue);                         // 変更前税抜受注金額
-                        strSQL += string.Format(", {0}", CurRec.BeforeValueInTax);                    // 　〃　税込受注金額
-                        strSQL += string.Format(", {0}", CurRec.AfterValue);                          // 変更後税抜受注金額
-                        strSQL += string.Format(", {0}", CurRec.AfterValueInTax);                     // 　〃　税込受注金額
-                        strSQL += string.Format(",'{0}'", CurRec.ChangeComment);                      // 変更理由
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6105,6 +4638,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6135,7 +4669,7 @@
         private bool CnvPersonapproval(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOPersonApproval InDB = new ProcessManagement.OracleDB.IOAccess.IOPersonApproval();
-            ProcessManagement.MySQLDB.IOAccess.IOPersonApproval OutDB = new ProcessManagement.MySQLDB.IOAccess.IOPersonApproval();
+            ProcessManagement.DB.IOAccess.IOPersonApproval OutDB = new ProcessManagement.DB.IOAccess.IOPersonApproval();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6149,52 +4683,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PersonApproval> BuffList = new List<PersonApproval>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOPersonApproval.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PersonApproval CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.PersonCodeApproval.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.PetitionApprovalDate.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.ApprovalLimitDates.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalStatus.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6201,6 +4703,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6231,7 +4734,7 @@
         private bool CnvPersonapprovalcomment(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOPersonApprovalComment InDB = new ProcessManagement.OracleDB.IOAccess.IOPersonApprovalComment();
-            ProcessManagement.MySQLDB.IOAccess.IOPersonApprovalComment OutDB = new ProcessManagement.MySQLDB.IOAccess.IOPersonApprovalComment();
+            ProcessManagement.DB.IOAccess.IOPersonApprovalComment OutDB = new ProcessManagement.DB.IOAccess.IOPersonApprovalComment();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -6245,49 +4748,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<PersonApprovalComment> BuffList = new List<PersonApprovalComment>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOPersonApprovalComment.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        PersonApprovalComment CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.OrderDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.OrderNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.CommentNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ParentNo.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.ApproValComment.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -6294,6 +4768,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -6324,7 +4799,7 @@
         private bool CnvPersondepartmentmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMPersonDepartment InDB = new ProcessManagement.OracleDB.IOAccess.IOMPersonDepartment();
-            ProcessManagement.MySQLDB.IOAccess.IOMPersonDepartment OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMPersonDepartment();
+            ProcessManagement.DB.IOAccess.IOMPersonDepartment OutDB = new ProcessManagement.DB.IOAccess.IOMPersonDepartment();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
